[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'math' (#rtl)

# sumInt

Return the sum of an array of integers

## Declaration

Source position: line 0

`function sumInt(`
`const data: PInt64;`
`const N: LongInt`
`):Int64; function sumInt(`
`const data: array of Int64`
`):Int64;`

## Description

SumInt returns the sum of the N integers in the Data array, where this can be an open array or a pointer to an array.

## Errors

An overflow may occur.

Documentation generated on: Feb 26 2014